Loading...
Searching...
No Matches
ftmpl_afactor.h File Reference
`#include <iostream>`

Go to the source code of this file.

## Data Structures

class | AFactor< T >

## Macros

#define | OSTREAM std::ostream

## Functions

template<class T>
int | operator== (const AFactor< T > &, const AFactor< T > &)
template<class T>
OSTREAM & | operator<< (OSTREAM &os, const AFactor< T > &f)

## Macro Definition Documentation

## OSTREAM

#define OSTREAM std::ostream

Definition at line 9 of file ftmpl_afactor.h.

## Function Documentation

## operator<<()

template<class T>

OSTREAM & operator<< | ( | OSTREAM & | os,
|  | const AFactor< T > & | f )

Definition at line 34 of file ftmpl_afactor.cc.

{
f.print( os );
return os;
}
f
FILE * f
Definition checklibs.c:9

## operator==()

template<class T>

int operator== | ( | const AFactor< T > & | f1,
|  | const AFactor< T > & | f2 )

Definition at line 18 of file ftmpl_afactor.cc.

{
return (f1.exp() == f2.exp()) && (f1.factor() == f2.factor()) && (f1.minpoly() == f2.minpoly()); //minpoly comparison may not be enough but checking the fields they define are equal
}
AFactor::minpoly
T minpoly() const
Definition ftmpl_afactor.h:30
AFactor::exp
int exp() const
Definition ftmpl_afactor.h:31
AFactor::factor
T factor() const
Definition ftmpl_afactor.h:29